Bug 144964

Summary: [patch] x11-wm/echinus out-of-date
Product: Ports & Packages Reporter: Petr Smirnov <slowpoke>
Component: Individual Port(s)Assignee: Martin Wilke <miwi>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Petr Smirnov 2010-03-22 21:10:02 UTC
It's time to update the port.

Fix: 

PORTNAME=       echinus
PORTVERSION=    0.4.2.1
CATEGORIES=     x11-wm
MASTER_SITES=   http://www.plhk.ru/static/echinus/

MAINTAINER=     hrkfdn@gmail.com
COMMENT=        A dynamic window manager for X11 based on dwm

LIB_DEPENDS=    freetype.9:${PORTSDIR}/print/freetype2 \
                fontconfig.1:${PORTSDIR}/x11-fonts/fontconfig

USE_XORG=       x11 xft xrender xrandr
USE_GNOME=      pkgconfig

MAN1=           echinus.1
MANCOMPRESSED=  no

FILES=          echinusrc close.xbm iconify.xbm max.xbm

PLIST_FILES=    bin/echinus \
                etc/echinus/close.xbm \
                etc/echinus/iconify.xbm \
                etc/echinus/max.xbm \
                etc/echinus/echinusrc

PLIST_DIRS=     etc/echinus
SUB_FILES=      pkg-message

post-patch:
        @${REINPLACE_CMD} -e 's/VERSION/${PORTVERSION}/g' ${WRKSRC}/echinus.1

do-install:
        @${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
        @${INSTALL_MAN} ${WRKSRC}/${MAN1} ${MANPREFIX}/man/man1
        @${MKDIR} ${ETCDIR}
        @${INSTALL_DATA} ${FILES:S,^,${WRKSRC}/,} ${ETCDIR}/
        @${CAT} ${PKGMESSAGE}

.include <bsd.port.mk>
Comment 1 Edwin Groothuis freebsd_committer 2010-03-22 21:10:10 UTC
Maintainer of x11-wm/echinus,

Please note that PR ports/144964 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/144964

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-03-22 21:10:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Henrik Friedrichsen 2010-03-24 19:20:06 UTC
Thank you very much for the PR, I appreciate it. The Makefile looks 
fine, however, the tabbing somehow got lost and the checksums haven't 
been updated either. If you feel like creating a proper diff that can be 
committed, or if a comitter feels like fixing the tabbing/missing 
distfiles, this one can be committed.  I'll create a proper diff that 
can be committed once my FBSD system is back and running, sorry for the 
delay, should happen in not too distant time.
Comment 4 Henrik Friedrichsen 2010-04-16 21:11:09 UTC
Okay, sorry for the delay. Here you go:
http://50hz.ws/patches/ports-echinus-0.4.3.2.diff
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2010-04-16 21:49:55 UTC
State Changed
From-To: feedback->open

new patch received.
Comment 6 Henrik Friedrichsen 2010-04-25 19:32:58 UTC
Uhm yea, feel free to commit it :p
Comment 7 Martin Wilke freebsd_committer 2010-04-26 17:45:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 8 dfilter service freebsd_committer 2010-05-02 12:11:25 UTC
miwi        2010-05-02 11:11:11 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/echinus       Makefile distinfo 
  Log:
  - Update to 4.3.2
  
  PR:             144964
  Submitted by:   Henrik Friedrichsen <hrkfdn@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.10      +2 -2      ports/x11-wm/echinus/Makefile
  1.9       +3 -3      ports/x11-wm/echinus/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Martin Wilke freebsd_committer 2010-05-02 12:11:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!